#ifndef TIMER_H_INCLUDED
#define TIMER_H_INCLUDED

uint32_t timer_get_bpm(void);
int timer_set_bpm(uint32_t bpm);
int timer_start(void);
int timer_stop(void);
int timer_init(uint32_t bpm);
void timer_set_beat_callback(void (*b_cb)(uint32_t));
void timer_clear_beat_callback(void);

extern unsigned char drumkit_0_au[],
       drumkit_1_au[],
       drumkit_2_au[],
       drumkit_3_au[],
       drumkit_4_au[],
       drumkit_5_au[],
       drumkit_6_au[];

extern unsigned int drumkit_0_au_len,
       drumkit_1_au_len,
       drumkit_2_au_len,
       drumkit_3_au_len,
       drumkit_4_au_len,
       drumkit_5_au_len,
       drumkit_6_au_len;

#endif
